.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 3;

  &.hide-form {
    .modal-title_hide {
      display: block;
    }

    .modal-main {
      display: none;
    }
  }

  &.is-open {
    .modal-back {
      opacity: 1;
    }

    .modal-wrap {
      transform: translateX(0);
    }
  }

  &-back {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(#000, 0.4);
    z-index: -1;
    opacity: 0;
    transition: 0.7s ease-out;
  }

  &-close {
    position: absolute;
    top: 40px;
    right: 40px;
    @include respond-max('mobile') {
      top: 20px;
      right: 20px;
    }
  }

  &-wrap {
    display: flex;
    background-color: #000;
    color: #fff;
    text-align: center;
    width: 100%;
    max-width: 700px;
    margin-left: auto;
    padding: 70px;
    height: 100%;
    min-height: 400px;
    transform: translateX(100%);
    transition: 0.5s ease-out;
    overflow: auto;
    @include respond-max('mobile') {
      padding: 15px;
      max-width: 100%;
    }
  }

  &-inner {
    margin: auto;
  }

  &-title {
    font-size: 42px;
    line-height: 1;
    margin-bottom: 40px;
    font-family: 'optima', sans-serif;
    @include respond-max('mobile') {
      font-size: 26px;
      margin-bottom: 32px;
    }

    &_hide {
      display: none;
    }
  }

  &-subtitle {
    font-size: 22px;
    line-height: 28px;
    margin-bottom: 32px;
    font-family: 'optima', sans-serif;
    @include respond-max('mobile') {
      font-size: 18px;
      line-height: 24px;
      margin-bottom: 16px;
    }
  }

  &-form {
    max-width: 450px;
    margin: auto;
  }
}

.is-menu-open {
  .modal-wrap {
    background-color: #fff;
    color: #000;
  }
}
